| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_fragment_head Struct Reference

Represents the head of a fragment reassembly chain, tracking overall reassembly state across all contributing fragments. More...

`#include <reassemble.h>`

## Public Attributes
struct _fragment_item * | next
struct _fragment_item * | first_gap
unsigned | ref_count
uint32_t | contiguous_len
uint32_t | frame
uint32_t | len
uint32_t | fragment_nr_offset
uint32_t | datalen
uint32_t | reassembled_in
uint8_t | reas_in_layer_num
uint32_t | flags
tvbuff_t * | tvb_data
const char * | error

## Detailed Description

Represents the head of a fragment reassembly chain, tracking overall reassembly state across all contributing fragments.

## Member Data Documentation

## ◆ contiguous_len

uint32_t _fragment_head::contiguous_len

Number of contiguous bytes received from offset 0 up to the first gap.

## ◆ datalen

uint32_t _fragment_head::datalen

For FD_BLOCKSEQUENCE: index of the last block (total segments + 1); otherwise the total byte length of the full datagram. Valid only in the first fragment_item when FD_DATALEN is set.

## ◆ error

const char* _fragment_head::error

NULL if reassembly completed without error; otherwise a string describing the reassembly error that occurred.

## ◆ first_gap

struct _fragment_item* _fragment_head::first_gap

Pointer to the last fragment before the first gap in the sequence; NULL if no fragment starting at offset 0 has been received.

## ◆ flags

uint32_t _fragment_head::flags

Bitmask of FD_* flags describing the overall reassembly state.

## ◆ fragment_nr_offset

uint32_t _fragment_head::fragment_nr_offset

Offset applied to fragment sequence numbers to normalize the first fragment's number to zero when it does not start at 0.

## ◆ frame

uint32_t _fragment_head::frame

Maximum frame number among all fragments added to this reassembly.

## ◆ len

uint32_t _fragment_head::len

Total byte length of the fully reassembled datagram; valid only when both FD_BLOCKSEQUENCE and FD_DEFRAGMENTED flags are set.

## ◆ next

struct _fragment_item* _fragment_head::next

Pointer to the first fragment_item in the reassembly chain.

## ◆ reas_in_layer_num

uint8_t _fragment_head::reas_in_layer_num

Dissection layer depth at which reassembly completed within the reassembled_in frame; used by protocols such as SCTP where multiple data chunks may appear in one frame.

## ◆ reassembled_in

uint32_t _fragment_head::reassembled_in

Frame number in which this PDU was fully reassembled; valid only when FD_DEFRAGMENTED is set.

## ◆ ref_count

unsigned _fragment_head::ref_count

Reference count of this head entry in the reassembled_table.

## ◆ tvb_data

tvbuff_t* _fragment_head::tvb_data

Tvbuff containing the reassembled payload once reassembly is complete.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/reassemble.h